Bug 331625 - Trying to make a video Slideshow
Summary: Trying to make a video Slideshow
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Plugin-Generic-VideoSlideshow (show other bugs)
Version: 5.5.0
Platform: openSUSE RPMs Linux
: NOR crash with 20 votes (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2014-02-28 18:42 UTC by G.Rass
Modified: 2017-06-02 13:16 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.6.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description G.Rass 2014-02-28 18:42:47 UTC
Application: digikam (3.5.0)
KDE Platform Version: 4.11.5
Qt Version: 4.8.5
Operating System: Linux 3.11.10-7-desktop x86_64
Distribution: "openSUSE 13.1 (Bottle) (x86_64)"

-- Information about the crash:
- What I was doing when the application crashed
I was converting to AVI (PAL) severel times but it always crashd.
openSUSE 13.1

The crash can be reproduced every time.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fae8ee44900 (LWP 5000))]

Thread 11 (Thread 0x7fae6bf5f700 (LWP 5001)):
#0  0x00007fae864080af in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fae89f5bb66 in wait (time=18446744073709551615, this=0x28d4f40) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x28d4e48, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00000000005df20e in ?? ()
#4  0x00007fae89f5b68f in QThreadPrivate::start (arg=0x28d4be0) at thread/qthread_unix.cpp:338
#5  0x00007fae864040db in start_thread () from /lib64/libpthread.so.0
#6  0x00007fae884b490d in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7fae6b75e700 (LWP 5002)):
#0  0x00007fae884a799d in read () from /lib64/libc.so.6
#1  0x00007fae801af5c0 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fae8017012c in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fae8017059b in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fae8017070c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007fae8a087d76 in QEventDispatcherGlib::processEvents (this=0x7fae5c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#6  0x00007fae8a059d0f in QEventLoop::processEvents (this=this@entry=0x7fae6b75dca0, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007fae8a05a005 in QEventLoop::exec (this=this@entry=0x7fae6b75dca0, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007fae89f58fef in QThread::exec (this=this@entry=0x28d8290) at thread/qthread.cpp:536
#9  0x00007fae8a03b513 in QInotifyFileSystemWatcherEngine::run (this=0x28d8290) at io/qfilesystemwatcher_inotify.cpp:256
#10 0x00007fae89f5b68f in QThreadPrivate::start (arg=0x28d8290) at thread/qthread_unix.cpp:338
#11 0x00007fae864040db in start_thread () from /lib64/libpthread.so.0
#12 0x00007fae884b490d in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7fae6af5d700 (LWP 5004)):
#0  0x00007fae864080af in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fae89f5bb66 in wait (time=18446744073709551615, this=0x2a79190) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2a79498, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fae8c1618fa in ?? () from /usr/lib64/libdigikamcore.so.3
#4  0x00007fae89f5b68f in QThreadPrivate::start (arg=0x2a79480) at thread/qthread_unix.cpp:338
#5  0x00007fae864040db in start_thread () from /lib64/libpthread.so.0
#6  0x00007fae884b490d in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7fae4ffff700 (LWP 5059)):
#0  0x00007fae884a799d in read () from /lib64/libc.so.6
#1  0x00007fae801af5c0 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fae8017012c in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fae8017059b in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fae8017070c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007fae8a087d76 in QEventDispatcherGlib::processEvents (this=0x7fae48036060, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#6  0x00007fae8a059d0f in QEventLoop::processEvents (this=this@entry=0x7fae4fffec70, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007fae8a05a005 in QEventLoop::exec (this=0x7fae4fffec70, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007fae8c160fa3 in ?? () from /usr/lib64/libdigikamcore.so.3
#9  0x00007fae89f4f13e in QThreadPoolThread::run (this=0x49b3df0) at concurrent/qthreadpool.cpp:107
#10 0x00007fae89f5b68f in QThreadPrivate::start (arg=0x49b3df0) at thread/qthread_unix.cpp:338
#11 0x00007fae864040db in start_thread () from /lib64/libpthread.so.0
#12 0x00007fae884b490d in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7fae4f7fe700 (LWP 5079)):
#0  0x00007fae8016da40 in ?? () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fae8016fc4b in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fae80170523 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fae8017070c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fae8a087d76 in QEventDispatcherGlib::processEvents (this=0x7fae3407c0d0, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#5  0x00007fae8a059d0f in QEventLoop::processEvents (this=this@entry=0x7fae4f7fdc70, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007fae8a05a005 in QEventLoop::exec (this=0x7fae4f7fdc70, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007fae8c160fa3 in ?? () from /usr/lib64/libdigikamcore.so.3
#8  0x00007fae89f4f13e in QThreadPoolThread::run (this=0x49b1980) at concurrent/qthreadpool.cpp:107
#9  0x00007fae89f5b68f in QThreadPrivate::start (arg=0x49b1980) at thread/qthread_unix.cpp:338
#10 0x00007fae864040db in start_thread () from /lib64/libpthread.so.0
#11 0x00007fae884b490d in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7fae3cff9700 (LWP 5093)):
#0  0x00007fae884a799d in read () from /lib64/libc.so.6
#1  0x00007fae801af5c0 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fae8017012c in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fae8017059b in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fae8017070c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007fae8a087d76 in QEventDispatcherGlib::processEvents (this=0x7fae5c0263c0, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#6  0x00007fae8a059d0f in QEventLoop::processEvents (this=this@entry=0x7fae3cff8c70, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007fae8a05a005 in QEventLoop::exec (this=0x7fae3cff8c70, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007fae8c160fa3 in ?? () from /usr/lib64/libdigikamcore.so.3
#9  0x00007fae89f4f13e in QThreadPoolThread::run (this=0x4bc33a0) at concurrent/qthreadpool.cpp:107
#10 0x00007fae89f5b68f in QThreadPrivate::start (arg=0x4bc33a0) at thread/qthread_unix.cpp:338
#11 0x00007fae864040db in start_thread () from /lib64/libpthread.so.0
#12 0x00007fae884b490d in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7fae6896a700 (LWP 5094)):
#0  0x00007fae884abb3d in poll () from /lib64/libc.so.6
#1  0x00007fae80170604 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fae8017070c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fae8a087d76 in QEventDispatcherGlib::processEvents (this=0x7fae38056620, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#4  0x00007fae8a059d0f in QEventLoop::processEvents (this=this@entry=0x7fae68969c70, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fae8a05a005 in QEventLoop::exec (this=0x7fae68969c70, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007fae8c160fa3 in ?? () from /usr/lib64/libdigikamcore.so.3
#7  0x00007fae89f4f13e in QThreadPoolThread::run (this=0x49b1530) at concurrent/qthreadpool.cpp:107
#8  0x00007fae89f5b68f in QThreadPrivate::start (arg=0x49b1530) at thread/qthread_unix.cpp:338
#9  0x00007fae864040db in start_thread () from /lib64/libpthread.so.0
#10 0x00007fae884b490d in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7fae3e7fc700 (LWP 5632)):
#0  0x00007fae864080af in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fae89f5bb66 in wait (time=18446744073709551615, this=0x59efd50) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x856b4a0, mutex=mutex@entry=0x856b498, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fae445d166d in KIPIPlugins::KPRawThumbThread::run (this=0x856b920) at /usr/src/debug/digikam-3.5.0/extra/kipi-plugins/common/libkipiplugins/tools/kprawthumbthread.cpp:108
#4  0x00007fae89f5b68f in QThreadPrivate::start (arg=0x856b920) at thread/qthread_unix.cpp:338
#5  0x00007fae864040db in start_thread () from /lib64/libpthread.so.0
#6  0x00007fae884b490d in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7fae4dc04700 (LWP 5642)):
[KCrash Handler]
#5  KIPIPlugins::MagickApi::saveToFile (this=0xc192440, img=..., file=...) at /usr/src/debug/digikam-3.5.0/extra/kipi-plugins/videoslideshow/magickiface/magickiface.cpp:347
#6  0x00007fae0e4a01c5 in KIPIVideoSlideShowPlugin::ActionThread::WriteFrame (this=this@entry=0x9a89e90, frame=frame@entry=0x7fadd2cf3150) at /usr/src/debug/digikam-3.5.0/extra/kipi-plugins/videoslideshow/manager/actionthread.cpp:410
#7  0x00007fae0e4a02d8 in KIPIVideoSlideShowPlugin::ActionThread::processItem (this=this@entry=0x9a89e90, upperBound=upperBound@entry=50, img=img@entry=0x0, imgNext=imgNext@entry=0x0, action=action@entry=KIPIVideoSlideShowPlugin::TYPE_IMAGE) at /usr/src/debug/digikam-3.5.0/extra/kipi-plugins/videoslideshow/manager/actionthread.cpp:195
#8  0x00007fae0e4a0958 in KIPIVideoSlideShowPlugin::ActionThread::run (this=0x9a89e90) at /usr/src/debug/digikam-3.5.0/extra/kipi-plugins/videoslideshow/manager/actionthread.cpp:119
#9  0x00007fae89f5b68f in QThreadPrivate::start (arg=0x9a89e90) at thread/qthread_unix.cpp:338
#10 0x00007fae864040db in start_thread () from /lib64/libpthread.so.0
#11 0x00007fae884b490d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7fae479f6700 (LWP 5643)):
#0  0x00007fae8433b7f2 in ?? () from /usr/lib64/libgomp.so.1
#1  0x00007fae84339f8f in ?? () from /usr/lib64/libgomp.so.1
#2  0x00007fae864040db in start_thread () from /lib64/libpthread.so.0
#3  0x00007fae884b490d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fae8ee44900 (LWP 5000)):
#0  0x00007fae864080af in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fae89f5bb66 in wait (time=18446744073709551615, this=0x35f6b90) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x35f1f88, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fae8c161bc4 in Digikam::WorkerObject::wait() () from /usr/lib64/libdigikamcore.so.3
#4  0x0000000000625493 in ?? ()
#5  0x00000000006254c5 in ?? ()
#6  0x0000000000625527 in ?? ()
#7  0x00007fae884053d9 in __run_exit_handlers () from /lib64/libc.so.6
#8  0x00007fae88405425 in exit () from /lib64/libc.so.6
#9  0x00007fae891e2298 in ?? () from /usr/lib64/libQtGui.so.4
#10 0x00007fae8aac2d40 in KApplication::xioErrhandler(_XDisplay*) () from /usr/lib64/libkdeui.so.5
#11 0x00007fae869a53fe in _XIOError () from /usr/lib64/libX11.so.6
#12 0x00007fae869a3575 in _XReply () from /usr/lib64/libX11.so.6
#13 0x00007fae86999895 in XQueryPointer () from /usr/lib64/libX11.so.6
#14 0x00007fae891fa968 in QCursor::pos() () from /usr/lib64/libQtGui.so.4
#15 0x00007fae896ae61b in QTreeView::drawTree(QPainter*, QRegion const&) const () from /usr/lib64/libQtGui.so.4
#16 0x00007fae896b203c in QTreeView::paintEvent(QPaintEvent*) () from /usr/lib64/libQtGui.so.4
#17 0x00007fae891cabe4 in QWidget::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#18 0x00007fae89567b6e in QFrame::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#19 0x00007fae89676df3 in QAbstractItemView::viewportEvent(QEvent*) () from /usr/lib64/libQtGui.so.4
#20 0x00007fae896b5d10 in QTreeView::viewportEvent(QEvent*) () from /usr/lib64/libQtGui.so.4
#21 0x00007fae8a05b216 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<optimized out>, receiver=0xa451bb0, event=0x7fff651c5960) at kernel/qcoreapplication.cpp:1059
#22 0x00007fae8917b88c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#23 0x00007fae89181e70 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#24 0x00007fae8aac418a in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#25 0x00007fae8a05b0ad in QCoreApplication::notifyInternal (this=0x7fff651c8e40, receiver=0xa451bb0, event=0x7fff651c5960) at kernel/qcoreapplication.cpp:949
#26 0x00007fae891c52f1 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#27 0x00007fae891c5d20 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#28 0x00007fae891c5b8f in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#29 0x00007fae891c5b8f in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#30 0x00007fae891c5b8f in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#31 0x00007fae891c5b8f in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#32 0x00007fae891c5b8f in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#33 0x00007fae891c5b8f in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#34 0x00007fae891c5b8f in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#35 0x00007fae891c4eac in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#36 0x00007fae891c5d20 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#37 0x00007fae891c5b8f in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#38 0x00007fae891c5b8f in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#39 0x00007fae891c5b8f in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#40 0x00007fae891c5b8f in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#41 0x00007fae891c5b8f in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#42 0x00007fae891c5b8f in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#43 0x00007fae891c5b8f in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#44 0x00007fae891c4eac in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#45 0x00007fae891c5d20 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#46 0x00007fae891c5b8f in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#47 0x00007fae891c5b8f in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#48 0x00007fae891c4eac in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#49 0x00007fae891c5d20 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#50 0x00007fae891c4eac in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#51 0x00007fae8938376e in ?? () from /usr/lib64/libQtGui.so.4
#52 0x00007fae891ba790 in QWidgetPrivate::syncBackingStore() () from /usr/lib64/libQtGui.so.4
#53 0x00007fae891ca762 in QWidget::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#54 0x00007fae8917b8ac in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#55 0x00007fae89181e70 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#56 0x00007fae8aac418a in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#57 0x00007fae8a05b0ad in QCoreApplication::notifyInternal (this=0x7fff651c8e40, receiver=receiver@entry=0x7ee2490, event=event@entry=0xb8efbf0) at kernel/qcoreapplication.cpp:949
#58 0x00007fae8a05e0ff in sendEvent (event=0xb8efbf0, receiver=0x7ee2490) at kernel/qcoreapplication.h:231
#59 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x262e510) at kernel/qcoreapplication.cpp:1573
#60 0x00007fae8a05e5a3 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1466
#61 0x00007fae8a088493 in sendPostedEvents () at kernel/qcoreapplication.h:236
#62 postEventSourceDispatch (s=0x26c2ec0) at kernel/qeventdispatcher_glib.cpp:280
#63 0x00007fae80170316 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#64 0x00007fae80170668 in ?? () from /usr/lib64/libglib-2.0.so.0
#65 0x00007fae8017070c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#66 0x00007fae8a087d55 in QEventDispatcherGlib::processEvents (this=0x2633db0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#67 0x00007fae89218936 in ?? () from /usr/lib64/libQtGui.so.4
#68 0x00007fae8a059d0f in QEventLoop::processEvents (this=this@entry=0x7fff651c7e20, flags=...) at kernel/qeventloop.cpp:149
#69 0x00007fae8a05a005 in QEventLoop::exec (this=0x7fff651c7e20, flags=...) at kernel/qeventloop.cpp:204
#70 0x00007fae8961dcdc in QDialog::exec() () from /usr/lib64/libQtGui.so.4
#71 0x00007fae8aa37822 in KMessageBox::createKMessageBox(KDialog*, QIcon const&, QString const&, QStringList const&, QString const&, bool*, QFlags<KMessageBox::Option>, QString const&, QMessageBox::Icon) () from /usr/lib64/libkdeui.so.5
#72 0x00007fae8aa37a61 in KMessageBox::createKMessageBox(KDialog*, QMessageBox::Icon, QString const&, QStringList const&, QString const&, bool*, QFlags<KMessageBox::Option>, QString const&) () from /usr/lib64/libkdeui.so.5
#73 0x00007fae8aa37c77 in KMessageBox::errorListWId(unsigned long, QString const&, QStringList const&, QString const&, QFlags<KMessageBox::Option>) () from /usr/lib64/libkdeui.so.5
#74 0x00007fae8aa37d8a in KMessageBox::error(QWidget*, QString const&, QString const&, QFlags<KMessageBox::Option>) () from /usr/lib64/libkdeui.so.5
#75 0x00007fae0e4a325f in KIPIVideoSlideShowPlugin::ExportDialog::slotShowError (this=<optimized out>, err=...) at /usr/src/debug/digikam-3.5.0/extra/kipi-plugins/videoslideshow/dialogs/exportdialog.cpp:374
#76 0x00007fae8a06ed68 in QMetaObject::activate (sender=0x9a89e90, m=m@entry=0x7fae0e6b3f60 <KIPIVideoSlideShowPlugin::ActionThread::staticMetaObject>, local_signal_index=<optimized out>, argv=argv@entry=0x7fff651c82f0) at kernel/qobject.cpp:3556
#77 0x00007fae0e49f740 in signalProcessError (_t1=..., this=<optimized out>) at /usr/src/debug/digikam-3.5.0/build/extra/kipi-plugins/videoslideshow/actionthread.moc:104
#78 KIPIVideoSlideShowPlugin::ActionThread::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /usr/src/debug/digikam-3.5.0/build/extra/kipi-plugins/videoslideshow/actionthread.moc:53
#79 0x00007fae8a07311e in QObject::event (this=0x9a89e90, e=<optimized out>) at kernel/qobject.cpp:1203
#80 0x00007fae8917b8ac in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#81 0x00007fae89181e70 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#82 0x00007fae8aac418a in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#83 0x00007fae8a05b0ad in QCoreApplication::notifyInternal (this=0x7fff651c8e40, receiver=receiver@entry=0x9a89e90, event=event@entry=0x7fae07929a50) at kernel/qcoreapplication.cpp:949
#84 0x00007fae8a05e0ff in sendEvent (event=0x7fae07929a50, receiver=0x9a89e90) at kernel/qcoreapplication.h:231
#85 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x262e510) at kernel/qcoreapplication.cpp:1573
#86 0x00007fae8a05e5a3 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1466
#87 0x00007fae8a088493 in sendPostedEvents () at kernel/qcoreapplication.h:236
#88 postEventSourceDispatch (s=0x26c2ec0) at kernel/qeventdispatcher_glib.cpp:280
#89 0x00007fae80170316 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#90 0x00007fae80170668 in ?? () from /usr/lib64/libglib-2.0.so.0
#91 0x00007fae8017070c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#92 0x00007fae8a087d55 in QEventDispatcherGlib::processEvents (this=0x2633db0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#93 0x00007fae89218936 in ?? () from /usr/lib64/libQtGui.so.4
#94 0x00007fae8a059d0f in QEventLoop::processEvents (this=this@entry=0x7fff651c8920, flags=...) at kernel/qeventloop.cpp:149
#95 0x00007fae8a05a005 in QEventLoop::exec (this=this@entry=0x7fff651c8920, flags=...) at kernel/qeventloop.cpp:204
#96 0x00007fae8a05f13b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1221
#97 0x000000000049b223 in ?? ()
#98 0x00007fae883eebe5 in __libc_start_main () from /lib64/libc.so.6
#99 0x000000000049d821 in _start ()

Reported using DrKonqi
Comment 1 Jekyll Wu 2014-03-01 03:08:15 UTC
*** Bug 320725 has been marked as a duplicate of this bug. ***
Comment 2 caulier.gilles 2014-05-16 07:34:59 UTC
digiKam 4.0.0 is out :

http://www.digikam.org/node/713

Please check if this entry still valid with this new version.

Thanks in advance

Gilles Caulier
Comment 3 Antonio Rojas 2014-05-17 12:56:20 UTC
Yes, still valid in 4.0
Comment 4 caulier.gilles 2014-09-08 07:03:00 UTC
This file still valid using last kipi-plugins 4.2.0 ?

Gilles Caulier
Comment 5 caulier.gilles 2014-12-10 17:56:54 UTC
Kipi-plugins 4.5.0 have been released.

Crash still reproducible with this release ?

Gilles Caulier
Comment 6 Antonio Rojas 2014-12-10 17:58:56 UTC
(In reply to Gilles Caulier from comment #5)
> Kipi-plugins 4.5.0 have been released.
> 
> Crash still reproducible with this release ?

Yes
Comment 7 caulier.gilles 2015-05-19 09:04:55 UTC
Can you provide a new GD backtrace using last kipi-plugins 4.10.0 ?

Gilles Caulier
Comment 8 Antonio Rojas 2015-05-20 11:08:21 UTC
(gdb) bt
#0  0x00007ffff0d214b7 in raise () from /usr/lib/libc.so.6
#1  0x00007ffff0d2288a in abort () from /usr/lib/libc.so.6
#2  0x00007ffff0d1a41d in __assert_fail_base () from /usr/lib/libc.so.6
#3  0x00007ffff0d1a4d2 in __assert_fail () from /usr/lib/libc.so.6
#4  0x00007fff238c16f1 in DestroyImage () from /usr/lib/libMagickCore-6.Q16HDRI.so.2
#5  0x00007fff23c9ec42 in KIPIPlugins::MagickImage::freeImage (this=this@entry=0x7fff100013b0)
    at /home/antonio/Software/abs/extra/digikam/src/digikam-4.10.0/extra/kipi-plugins/videoslideshow/magickiface/magickiface.cpp:98
#6  0x00007fff23c9ef3c in KIPIPlugins::MagickApi::freeImage (this=this@entry=0x3f825e0, img=...)
    at /home/antonio/Software/abs/extra/digikam/src/digikam-4.10.0/extra/kipi-plugins/videoslideshow/magickiface/magickiface.cpp:472
#7  0x00007fff23c9f2ef in KIPIPlugins::MagickApi::loadImage (this=0x3f825e0, file=...)
    at /home/antonio/Software/abs/extra/digikam/src/digikam-4.10.0/extra/kipi-plugins/videoslideshow/magickiface/magickiface.cpp:278
#8  0x00007fff23c94d88 in KIPIVideoSlideShowPlugin::ActionThread::loadImage (this=this@entry=0x41c5900, imgItem=0x507bd30)
    at /home/antonio/Software/abs/extra/digikam/src/digikam-4.10.0/extra/kipi-plugins/videoslideshow/manager/actionthread.cpp:284
#9  0x00007fff23c9515b in KIPIVideoSlideShowPlugin::ActionThread::run (this=0x41c5900)
    at /home/antonio/Software/abs/extra/digikam/src/digikam-4.10.0/extra/kipi-plugins/videoslideshow/manager/actionthread.cpp:110
#10 0x00007ffff18af30f in ?? () from /usr/lib/libQtCore.so.4
#11 0x00007fffeee36374 in start_thread () from /usr/lib/libpthread.so.0
#12 0x00007ffff0dd627d in clone () from /usr/lib/libc.so.6
Comment 9 caulier.gilles 2015-05-20 11:52:05 UTC
As i can see, you try to process HDR image in this tool. ImageMagick cannot open image data. I don't know why. 

Which kind of files do you process. Can you share file through internet to try to reproduce here ?

Gilles Caulier
Comment 10 Antonio Rojas 2015-05-20 14:30:02 UTC
It happens with any picture, png or jpg. "display" from imagemagick can open the files just fine.
Comment 11 caulier.gilles 2016-06-30 12:58:33 UTC
*** Bug 337605 has been marked as a duplicate of this bug. ***
Comment 12 caulier.gilles 2017-06-02 13:16:51 UTC
Git commit 8dda686cf8c9409c03786007e47e1f15e1419097 by Gilles Caulier.
Committed on 02/06/2017 at 12:55.
Pushed by cgilles into branch 'master'.

New digiKam Video SlideShow tool based on QtAV/FFMpeg encoder.

The tool replace the older Qt4 kipi plugin based on ImageMagick and GStreamer which never
work as expected due to run time dependencies with GStreamer which are a big puzzle to resolve
and don't work under MacOS and Windows.
The tool permit to encode images as a video diaporama.
The tool support many video codecs as X264 or MPEG4 provided by FFMpeg and
is able to store stream as AVI, MKV, or MP4 media.
The tool permit to apply a transition effect between images (same effects than presentation tool non-OpenGL).
The tool permit to export image from current select or a set of albums selection (as HTMLGallery tool).
The tool do not permit to encode an audio soundtrack with the video stream due a bug in QtAV which
have been reported and must be fixed in next QtAV release 1.12.0.
The tool is available currently under digiKam album GUI, but it will be also available into
ImageEditor, LightTable, and Showfoto (as HTMLGallery, Panorama, Calendar, etc... tools.)

Screeshots of tool in action : https://www.flickr.com/photos/digikam/albums/72157684569983835
Related: bug 316791, bug 320725, bug 337605, bug 324646, bug 176727, bug 318297, bug 153061, bug 334089, bug 271751
FIXED-IN: 5.6.0

M  +17   -0    app/main/digikamapp.cpp
M  +1    -0    app/main/digikamapp.h
M  +2    -1    app/main/digikamui5.rc
M  +14   -0    libs/widgets/mainview/dxmlguiwindow.cpp
M  +9    -1    libs/widgets/mainview/dxmlguiwindow.h

https://commits.kde.org/digikam/8dda686cf8c9409c03786007e47e1f15e1419097